cURL
curl --request GET \
--url https://api.pawapass.com/v2/verifications/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pawapass.com/v2/verifications/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pawapass.com/v2/verifications/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pawapass.com/v2/verifications/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pawapass.com/v2/verifications/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pawapass.com/v2/verifications/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pawapass.com/v2/verifications/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "aB1cD2eF",
"externalId": "user-zm-98765",
"country": "ZM",
"phoneNo": "+260971234567",
"workflowId": "wf3kD9aB",
"requirements": [
{
"type": "DOCUMENT_SCAN"
},
{
"type": "FACE_SCAN"
}
],
"url": "https://app.pawapass.com/your-company/aB1cD2eF",
"status": "CREATED",
"metadata": {
"reason": "kyc-onboarding",
"channel": "mobile-app",
"department": "compliance"
},
"successUrl": "https://your-website.com/success",
"errorUrl": "https://your-website.com/error",
"supportUrl": "https://your-website.com/support",
"identityDocument": {
"type": "NATIONAL_ID",
"country": "ZM",
"serialNo": "9876543/21/1",
"nationalNo": "Z12345678",
"firstName": "Tisa",
"lastName": "Banda",
"dateOfBirth": "1997-05-10",
"placeOfBirth": "Lusaka",
"nationality": "ZM",
"expiryAt": "2032-05-09",
"issuedAt": "2022-05-10",
"issuingAuthority": "Republic of Zambia",
"placeOfIssue": "Lusaka",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"faceScan": {
"ageEstimation": "OVER_18",
"createdAt": "2025-08-20T09:00:00.000Z",
"updatedAt": "2025-08-20T09:00:00.000Z"
},
"reviewResult": {
"category": "CAPTURE_ISSUE",
"reason": "ONE_SIDE_MISSING",
"sensitive": true
},
"createdBy": "[email protected]",
"expiresAt": "2025-08-27T09:00:00.000Z",
"createdAt": "2025-08-20T09:00:00.000Z",
"updatedAt": "2025-08-20T09:00:00.000Z"
}
],
"count": 123
}{
"statusCode": 400,
"code": "VALIDATION_ERROR",
"message": "Input data is invalid. Please check the details.",
"details": [
{
"field": "<string>",
"reasonCode": "REQUIRED",
"params": {}
}
]
}{
"statusCode": 401,
"code": "UNAUTHORIZED_ERROR",
"message": "Unauthorized"
}Verifications
List verifications
GET
/
verifications
/
cURL
curl --request GET \
--url https://api.pawapass.com/v2/verifications/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pawapass.com/v2/verifications/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pawapass.com/v2/verifications/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pawapass.com/v2/verifications/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pawapass.com/v2/verifications/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pawapass.com/v2/verifications/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pawapass.com/v2/verifications/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "aB1cD2eF",
"externalId": "user-zm-98765",
"country": "ZM",
"phoneNo": "+260971234567",
"workflowId": "wf3kD9aB",
"requirements": [
{
"type": "DOCUMENT_SCAN"
},
{
"type": "FACE_SCAN"
}
],
"url": "https://app.pawapass.com/your-company/aB1cD2eF",
"status": "CREATED",
"metadata": {
"reason": "kyc-onboarding",
"channel": "mobile-app",
"department": "compliance"
},
"successUrl": "https://your-website.com/success",
"errorUrl": "https://your-website.com/error",
"supportUrl": "https://your-website.com/support",
"identityDocument": {
"type": "NATIONAL_ID",
"country": "ZM",
"serialNo": "9876543/21/1",
"nationalNo": "Z12345678",
"firstName": "Tisa",
"lastName": "Banda",
"dateOfBirth": "1997-05-10",
"placeOfBirth": "Lusaka",
"nationality": "ZM",
"expiryAt": "2032-05-09",
"issuedAt": "2022-05-10",
"issuingAuthority": "Republic of Zambia",
"placeOfIssue": "Lusaka",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"faceScan": {
"ageEstimation": "OVER_18",
"createdAt": "2025-08-20T09:00:00.000Z",
"updatedAt": "2025-08-20T09:00:00.000Z"
},
"reviewResult": {
"category": "CAPTURE_ISSUE",
"reason": "ONE_SIDE_MISSING",
"sensitive": true
},
"createdBy": "[email protected]",
"expiresAt": "2025-08-27T09:00:00.000Z",
"createdAt": "2025-08-20T09:00:00.000Z",
"updatedAt": "2025-08-20T09:00:00.000Z"
}
],
"count": 123
}{
"statusCode": 400,
"code": "VALIDATION_ERROR",
"message": "Input data is invalid. Please check the details.",
"details": [
{
"field": "<string>",
"reasonCode": "REQUIRED",
"params": {}
}
]
}{
"statusCode": 401,
"code": "UNAUTHORIZED_ERROR",
"message": "Unauthorized"
}Authorizations
Bearer token for authentication. See Authentication.
Query Parameters
The page number to retrieve
Required range:
x >= 0The number of items to return per page
Required range:
1 <= x <= 50Filter by verification ID
Filter by your external ID
Filter by status. Supports multiple values (e.g., ?statuses=APPROVED&statuses=DECLINED)
Available options:
CREATED, STARTED, EXPIRED, USER_DATA_COLLECTED, REVIEW, APPROVED, DECLINED Filter verifications created from this date (inclusive). Format ISO 8601
Filter verifications created up to this date (inclusive). Format ISO 8601
